## Get a payment

### cURL

```bash
curl --request GET \
  --url https://api.pay.walletconnect.com/v1/gateway/payment/{id} \
  --header 'Api-Key: <api-key>'
```

```python
import requests

url = "https://api.pay.walletconnect.com/v1/gateway/payment/{id}"

headers = {"Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};

fetch('https://api.pay.walletconnect.com/v1/gateway/payment/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Codes

- **200**
- **400**
- **401**
- **404**
- **500**

### Example Response

```json
{
  "amount": {
    "display": {
      "assetName": "USD Coin",
      "assetSymbol": "USDC",
      "decimals": 6,
      "iconUrl": "https://assets.walletconnect.com/usdc.png",
      "networkIconUrl": "https://assets.walletconnect.com/base.png",
      "networkName": "Base"
    },
    "unit": "caip19/eip155:8453/erc20:0x0000000000000000000000000000000000000000",
    "value": "1000000"
  },
  "buyer": {
    "accountCaip10": "eip155:1:0x0000000000000000000000000000000000000000",
    "accountProviderIcon": "https://example.com/icon.png",
    "accountProviderName": "Wallet"
  },
  "expiresAt": 1700000000,
  "merchant": {
    "iconUrl": "https://example.com/icon.png",
    "name": "Merchant"
  },
  "status": "requires_action"
}
```

### Error Message Response

```json
{
  "message": "<string>"
}
```

### Authorization

#### Headers  
- **Api-Key**: string, required
- **App-Id**: string | null
- **Client-Id**: string | null
- **WCP-Version**: string | null
- **Sdk-Name**: string | null
- **Sdk-Version**: string | null
- **Sdk-Platform**: string | null

#### Path Parameters

- **id**: string, required, Payment ID (Example: `"pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV"`)

### Response Attributes

- **amount**: object, required
- **expiresAt**: integer<int64>, required
- **merchant**: object, required
- **status**: enum<string>, required
- **buyer**: null | object

#### Payment Status Options  
- `requires_action`
- `processing`
- `succeeded`
- `failed`
- `expired`
- `cancelled`
